#!/bin/sh
if grep -sq "^nutups:" /etc/passwd || grep -sq "^nutups:" /etc/group; then
  echo "NOTE!"
  echo "There are already a user or group named nutups on this system."
  echo "Nut is compiled to use user/group nutups. You can override this"
  echo "by using -u in most of the programs."
else
  echo "Making user/group nutups."
  groupadd nutups 2>/dev/null
  useradd -g nutups -d /dev/null -s /bin/false -c "Network UPS Tools" nutups 2>/dev/null
  echo "Nut is compiled to use the user/group nutups by default, make sure"
  echo "it has permission to access the UPS port for it to work or use the"
  echo "-u switch to make Nut use a different user."
fi
# Be completely certain the correct permissions are set. The use of
# relative paths is because installpkg could be run with -root.
chmod 0700 var/state/ups
chown nutups:nutups var/state/ups
chmod 0640 etc/nut/*
chown -R root:nutups etc/nut
chmod 0750 etc/nut
cat << EOF

The NUT package has been installed, but it must be configured correctly for it
to work.
You will need to edit the configuration files at /etc/nut/sample/ and place
them in /etc/nut for NUT to work, and than to have rc.local run
"/etc/rc.d/rc.nut start". Please read the INSTALL file at /usr/doc/nut-2.0.4 for
further instructions on how to configure NUT.
EOF
